import { Component, Fragment, h, Host, Prop } from '@stencil/core';
export class DvnRichContent {
  constructor() {
    this.value = [];
  }
  render() {
    return (h(Host, null,
      h("div", { class: "separator" }),
      this.value.map(component => {
        let content = null;
        switch (component.type) {
          case 'h1':
            content = h("h1", null, component.value.text);
            break;
          case 'h2':
            content = h("h2", null, component.value.text);
            break;
          case 'h3':
            content = h("h3", null, component.value.text);
            break;
          case 'text':
            content = h("dvn-markdown", { content: component.value.text });
            break;
        }
        return (h(Fragment, null,
          content,
          h("div", { class: "separator" })));
      })));
  }
  static get is() { return "dvn-rich-content"; }
  static get originalStyleUrls() { return {
    "$": ["dvn-rich-content.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["dvn-rich-content.css"]
  }; }
  static get properties() { return {
    "value": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "any[]",
        "resolved": "any[]",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "defaultValue": "[]"
    }
  }; }
}
